### Class

# Phosh MountNotification

#### Description [src]

    final class Phosh.MountNotification : Phosh.Notification
    {
      /* No available fields */
    }

A notifiction shown when a device got mounted

The `PhoshMountNotification` is responsible for showing the necessary information when a device got mounted and providing the open action.

#### Ancestors

- PhoshNotification
- GObject

#### Constructors

###### phosh_mount_notification_new_from_mount

No description available.

#### Instance methods

##### Methods inherited from PhoshNotification (32)

Please see PhoshNotification for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from PhoshNotification (14)

###### Phosh.Notification:actions

No description available.

###### Phosh.Notification:app-icon

No description available.

###### Phosh.Notification:app-info

When non-`NULL` this overrides the values of `PhoshNotification:app-name` and `PhoshNotification:app-icon` with those from the `GAppInfo`.

###### Phosh.Notification:app-name

No description available.

###### Phosh.Notification:body

No description available.

###### Phosh.Notification:category

No description available.

###### Phosh.Notification:id

No description available.

###### Phosh.Notification:image

No description available.

###### Phosh.Notification:profile

The feedback profile to use for the event triggered by this notification. Valid values from Feedbackd’s Feedback Theme Specification as well as the value `none` meaning: don’t trigger any feedback for this event. If `NULL` (the default) the decision is left to feedbackd.

###### Phosh.Notification:resident

No description available.

###### Phosh.Notification:summary

No description available.

###### Phosh.Notification:timestamp

No description available.

###### Phosh.Notification:transient

No description available.

###### Phosh.Notification:urgency

No description available.

#### Signals

##### Signals inherited from PhoshNotification (3)

###### PhoshNotification::actioned

Emitted when the user activates one of the provided actions.

###### PhoshNotification::closed

Emitted when the notification has been closed.

###### PhoshNotification::expired

Emitted when the timeout set by `phosh_notification_expires()` has expired.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshMountNotificationClass {
      PhoshNotificationClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshNotificationClass`

  No description available.